<?php
 $a=1; 
 $b=2;
 echo 'Passage des paramètres $a et $b : somme('.$a.','.$b.')='.somme($a,$b)."\n" ;
 $a=10; 
 $b=20;
 echo 'Passage des paramètres $a et $b : somme('.$a.','.$b.')='.somme($a,$b)."\n" ;
 function somme($a,$b) 
 { 
  static $compteur=1;
  echo "Appel : ".$compteur."\n";
  $result=$a+$b; 
  $compteur++;
  return $result;
 }
?>
